#!/usr/bin/env python
import dS
from dsmapi2 import *

from optparse import OptionParser
import sys

if __name__ == "__main__":
    parser = OptionParser()
    (options, args) = parser.parse_args()

    if len(sys.argv) == 1:
        address = "tcp://localhost:8442"
    else:
        address = sys.argv[1]

    h = dS.initLib(address)

    print "DSM:"
    for dsmid in dS.fetch_all_dsmid(h):
        print "\t", dsmid

    dS.cleanupLib(h)
